Bug 16391 - In 'Tools', the link 'Tool plugins' has '?method=tool' in its link, which does not show all installed plugins
Summary: In 'Tools', the link 'Tool plugins' has '?method=tool' in its link, which doe...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-29 06:12 UTC by Arslan Farooq
Modified: 2020-12-10 09:48 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arslan Farooq 2016-04-29 06:12:44 UTC
The link for plugins page in 'Tools' labeled as 'Tool plugins' takes us to cgi-bin/koha/plugins/plugins-home.pl?method=tool, see: http://i.imgur.com/ak2T1lE.png

But not all installed plugins gets listed that way, see: http://i.imgur.com/ujPNiOZ.png 

If I manually remove ?method=tool from the address bar, and enter, then I can see all plugins, see: http://i.imgur.com/gH7kB8f.png
Comment 1 Katrin Fischer 2016-04-29 07:30:10 UTC
Hm, I think it's intended, as you only should see the 'Tools'-Plugins. There should be another link for seeing the 'Reports'-type plugins in another spot (iirc).
Comment 2 Bernardo Gonzalez Kriegel 2016-04-30 16:32:05 UTC
(In reply to Katrin Fischer from comment #1)
> Hm, I think it's intended, as you only should see the 'Tools'-Plugins. There
> should be another link for seeing the 'Reports'-type plugins in another spot
> (iirc).

Indeed, Home > Reports > Reports plugins
/cgi-bin/koha/plugins/plugins-home.pl?method=report

For me it's a little bit confusing, but as Katrin said seems intended.
Comment 3 Arslan Farooq 2016-05-03 08:28:41 UTC
Hmm, then at least we should make heading of this page /cgi-bin/koha/plugins/plugins-home.pl?method=report to be "Report Plugins", and the heading of this /cgi-bin/koha/plugins/plugins-home.pl?method=tools should be "Tool Plugins".

Right now for both it's "Plugins". Which is confusing.
Comment 4 Katrin Fischer 2016-05-03 09:07:10 UTC
(In reply to Arslan Farooq from comment #3)
> Hmm, then at least we should make heading of this page
> /cgi-bin/koha/plugins/plugins-home.pl?method=report to be "Report Plugins",
> and the heading of this /cgi-bin/koha/plugins/plugins-home.pl?method=tools
> should be "Tool Plugins".
> 
> Right now for both it's "Plugins". Which is confusing.

+1

I was also wondering: we now got import plugins and OPAC plugins too - I am not sue if they are a new type or not and how you get to display them.
Comment 5 Marcel de Rooy 2016-07-20 11:13:54 UTC
I think we should list all plugins.
Perhaps show its methods.
And add a filter or so to show only report or tool plugins.
I wrote a check plugin on another report; in order to see it, I have to adjust the URL.
Comment 6 Aleisha Amohia 2017-08-29 22:26:20 UTC
This looks like it has been fixed in the latest version - the headings and links now say 'Tools plugins' or 'Reports plugins'.